Many of our course searches and applications include online content that need be accessed from the users account page. Before accessing this content, please make sure that your system and browser settings meet our minimum requirements.

If your browser shows as not supported and/or offers minimal compatibility, you will need to upgrade your browser to a higher version, or download an alternate browser below.


Requirements Result Configuration
Operating System
Windows
Browser Version
JavaScript
Geolocation Support
Cookie Settings
Localstorage
JSON
Cross-Origin Resource Sharing
XML HTTP Request Level 2 XHR2
XHR responseType
API Ajax Call
Adobe Reader Version
Bandwidth Check (estimate)

For the best experience, our software is supported in the following browsers: Microsoft Internet Explorer 11 and higher, Google Chrome 38 and higher, Mozilla Firefox 27 and higher, Safari 7 on Mac OS X 10.9 and higher and Up-to-date Smart Phone Browsers